Bug 139313 - [patch] Upgrade mail/mailscanner to 4.78.17
Summary: [patch] Upgrade mail/mailscanner to 4.78.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-02 20:10 UTC by Mike Jakubik
Modified: 2009-10-11 23:41 UTC (History)
0 users

See Also:


Attachments
file.diff (3.97 KB, patch)
2009-10-02 20:10 UTC, Mike Jakubik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Jakubik 2009-10-02 20:10:01 UTC
This patch updates mailscanner to the latest stable release.

Fix: diff -urN mailscanner.orig/Makefile mailscanner/Makefile
--- mailscanner.orig/Makefile	2009-10-02 14:01:27.000000000 -0400
+++ mailscanner/Makefile	2009-10-02 14:48:16.000000000 -0400
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	MailScanner
-PORTVERSION=	4.78.9
+PORTVERSION=	4.78.17
 CATEGORIES=	mail
 MASTER_SITES=	http://www.mailscanner.info/files/4/tar/
 DISTNAME=	${PORTNAME}-install-${PORTVERSION}-${PATCHLEVEL}
@@ -137,6 +137,10 @@
 		's,/opt/MailScanner/lib,${PREFIX}/libexec/MailScanner,g;' \
 		${WRKSRC}/bin/mailscanner_create_locks
 	${PERL} -pi -e \
+		's,/opt/MailScanner/bin,${PREFIX}/libexec/MailScanner,g; \
+		s,/opt/MailScanner/etc,${PREFIX}/etc/MailScanner,g;' \
+		${WRKSRC}/bin/processing_messages_alert
+	${PERL} -pi -e \
 		's,/opt/MailScanner/var/MailScanner.pid,/var/run/MailScanner.pid,g; \
 		s,/usr/lib/sendmail,/usr/sbin/sendmail,g; \
 		s,/opt/MailScanner/bin,${PREFIX}/bin,g; \
@@ -197,7 +201,8 @@
 		s,/usr/bin/sa-update,${LOCALBASE}/bin/sa-update,g;' \
 		${WRKSRC}/bin/update_spamassassin
 	${PERL} -pi -e \
-		's,/etc/MailScanner/MailScanner.conf,${PREFIX}/etc/MailScanner/MailScanner.conf,g;' \
+		's,/etc/MailScanner/MailScanner.conf,${PREFIX}/etc/MailScanner/MailScanner.conf,g; \
+		s,/opt/MailScanner/bin,${PREFIX}/libexec/MailScanner,g;' \
 		${WRKSRC}/bin/clean.SA.cache
 	${PERL} -pi -e \
 		's,/opt/MailScanner/var/MailScanner.pid,/var/run/MailScanner.pid,g; \
@@ -246,6 +251,10 @@
 		${PREFIX}/libexec/MailScanner/clean.quarantine
 	${INSTALL_SCRIPT} ${WRKSRC}/bin/mailscanner_create_locks \
 		${PREFIX}/libexec/MailScanner/mailscanner_create_locks
+	${INSTALL_SCRIPT} ${WRKSRC}/bin/processing_messages_alert \
+		${PREFIX}/libexec/MailScanner/processing_messages_alert
+	${INSTALL_SCRIPT} ${WRKSRC}/bin/Quick.Peek \
+		${PREFIX}/libexec/MailScanner/Quick.Peek
 	${INSTALL_SCRIPT} ${WRKSRC}/bin/update_bad_phishing_emails \
 		${PREFIX}/libexec/MailScanner/update_bad_phishing_emails
 	${INSTALL_SCRIPT} ${WRKSRC}/bin/update_phishing_sites \
@@ -288,6 +297,9 @@
 	${INSTALL_DATA} ${WRKSRC}/etc/mcp/${FILE} \
 		${PREFIX}/etc/MailScanner/mcp/${FILE}.sample
 .endfor
+	${MKDIR} ${PREFIX}/etc/MailScanner/conf.d
+	${INSTALL_DATA} ${WRKSRC}/etc/conf.d/README \
+		${PREFIX}/etc/MailScanner/conf.d/README
 	#
 	# Step 4: Install files in share
 	#
diff -urN mailscanner.orig/distinfo mailscanner/distinfo
--- mailscanner.orig/distinfo	2009-10-02 14:01:28.000000000 -0400
+++ mailscanner/distinfo	2009-10-02 14:45:29.000000000 -0400
@@ -1,3 +1,3 @@
-MD5 (MailScanner-install-4.78.9-1.tar.gz) = 264b1b7cbb37117aced6f450d48a03d7
-SHA256 (MailScanner-install-4.78.9-1.tar.gz) = c389948605544d418c1a022d4a179430464840e5597ef13a4c11d1c7819ea0db
-SIZE (MailScanner-install-4.78.9-1.tar.gz) = 9111014
+MD5 (MailScanner-install-4.78.17-1.tar.gz) = 6c36f2ef4a424afebd82662f3d7be527
+SHA256 (MailScanner-install-4.78.17-1.tar.gz) = 331008bcb5ba1b742c283ae98a22e5fff8e46e92a2c6b435c8c098b4c39f1b33
+SIZE (MailScanner-install-4.78.17-1.tar.gz) = 9209407
diff -urN mailscanner.orig/pkg-plist mailscanner/pkg-plist
--- mailscanner.orig/pkg-plist	2009-10-02 14:01:28.000000000 -0400
+++ mailscanner/pkg-plist	2009-10-02 15:01:55.000000000 -0400
@@ -5,6 +5,7 @@
 etc/MailScanner/MailScanner.conf.sample
 etc/MailScanner/filename.rules.conf.sample
 etc/MailScanner/filetype.rules.conf.sample
+etc/MailScanner/conf.d/README
 etc/MailScanner/mcp/10_example.cf.sample
 etc/MailScanner/mcp/mcp.spam.assassin.prefs.conf.sample
 etc/MailScanner/mcp/v320.pre.sample
@@ -67,6 +68,8 @@
 libexec/MailScanner/clean.SA.cache
 libexec/MailScanner/clean.quarantine
 libexec/MailScanner/mailscanner_create_locks
+libexec/MailScanner/processing_messages_alert
+libexec/MailScanner/Quick.Peek
 libexec/MailScanner/update_bad_phishing_emails
 libexec/MailScanner/update_phishing_sites
 libexec/MailScanner/update_bad_phishing_sites
@@ -568,6 +571,7 @@
 @dirrm lib/MailScanner/MailScanner/CustomFunctions
 @dirrm lib/MailScanner/MailScanner
 @dirrm lib/MailScanner
+@dirrm etc/MailScanner/conf.d
 @dirrm etc/MailScanner/mcp
 @dirrm etc/MailScanner/rules
 @dirrm etc/MailScanner


Patch attached with submission follows:
Comment 1 Felippe de Meirelles Motta freebsd_committer 2009-10-10 22:29:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-10-11 23:32:25 UTC
lippe       2009-10-11 22:32:17 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailscanner     Makefile distinfo pkg-plist 
  Log:
  - Update to 4.78.17.
  
  PR:             ports/139313
  Submitted by:   Mike Jakubik <mikej@rogers.com>
  
  Revision  Changes    Path
  1.78      +15 -3     ports/mail/mailscanner/Makefile
  1.51      +3 -3      ports/mail/mailscanner/distinfo
  1.41      +5 -1      ports/mail/mailscanner/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Felippe de Meirelles Motta freebsd_committer 2009-10-11 23:41:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!